#!/usr/bin/bash

# 拼接文本
header='"LncRNA","Set","D1_chr","D2_start","D3_end","D4_Version","Sub_Class","Class"'
output=data/Accessible_Chromatin.csv
echo $header > $output &&\
ls database/\`human\@{ATAC,DNaseI}*.txt|xargs -i sed '1d' {} >> $output
# 按照Sub_Class拆分文本
input=data/Accessible_Chromatin.csv &&\
output=data_output/detail_Accessible_Chromatin_Closest.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"CLOSEST\"")print $3","$4","$5","$6","$7","$8",\"'"Closest,Accessible_Chromatin"'\"}' >> $output

input=data/Accessible_Chromatin.csv &&\
output=data_output/detail_Accessible_Chromatin_Proximal.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"PROXIMAL\"")print $3","$4","$5","$6","$7","$8",\"'"Proximal,Accessible_Chromatin"'\"}' >> $output

input=data/Accessible_Chromatin.csv &&\
output=data_output/detail_Accessible_Chromatin_Overlap.txt &&\
echo $header > $output &&\
cat $input|awk -F',' '{if($2=="\"Overlap\"")print $3","$4","$5","$6","$7","$8",\"'"Overlap,Accessible_Chromatin"'\"}' >> $output

# Set文件
# output=data_output/set_Accessible_Chromatin.txt &&\
# echo "Class,Sub_Class,Set,LncRNA" > $output &&\
# awk -F, '{print "\"'"Accessible_Chromatin"'\","$0}' database/\`human\@set_Accessible_Chromatin\`.txt|awk -F'","' '{if($2=="CLOSEST" || $2=="PROXIMAL" || $2=="Overlap")print $1"\",\""$2"\",\""$3"\",\""$4"\""}' \
# |sed 's/CLOSEST/Closest/g' \
# |sed 's/PROXIMAL/Proximal/g' \
# |sed 's/Overlap/Overlap/g' \
# >> $output &

